App\Library\Amazon\Classes\LightBulbs:
    xml_root_name: LightBulbs
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\LightBulbs\VariationDataAType
        beamAngle:
            expose: true
            access_type: public_method
            serialized_name: BeamAngle
            accessor:
                getter: getBeamAngle
                setter: setBeamAngle
            type: App\Library\Amazon\Classes\DegreeDimensionType
        bulbDiameter:
            expose: true
            access_type: public_method
            serialized_name: BulbDiameter
            accessor:
                getter: getBulbDiameter
                setter: setBulbDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        bulbLength:
            expose: true
            access_type: public_method
            serialized_name: BulbLength
            accessor:
                getter: getBulbLength
                setter: setBulbLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        bulbLifeSpan:
            expose: true
            access_type: public_method
            serialized_name: BulbLifeSpan
            accessor:
                getter: getBulbLifeSpan
                setter: setBulbLifeSpan
            type: App\Library\Amazon\Classes\TimeDimensionType
        bulbPowerFactor:
            expose: true
            access_type: public_method
            serialized_name: BulbPowerFactor
            accessor:
                getter: getBulbPowerFactor
                setter: setBulbPowerFactor
            type: float
        bulbSpecialFeatures:
            expose: true
            access_type: public_method
            serialized_name: BulbSpecialFeatures
            accessor:
                getter: getBulbSpecialFeatures
                setter: setBulbSpecialFeatures
            xml_list:
                inline: true
                entry_name: BulbSpecialFeatures
            type: array<string>
        bulbSwitchingCycles:
            expose: true
            access_type: public_method
            serialized_name: BulbSwitchingCycles
            accessor:
                getter: getBulbSwitchingCycles
                setter: setBulbSwitchingCycles
            type: integer
        bulbType:
            expose: true
            access_type: public_method
            serialized_name: BulbType
            accessor:
                getter: getBulbType
                setter: setBulbType
            type: string
        bulbWattage:
            expose: true
            access_type: public_method
            serialized_name: BulbWattage
            accessor:
                getter: getBulbWattage
                setter: setBulbWattage
            type: float
        capType:
            expose: true
            access_type: public_method
            serialized_name: CapType
            accessor:
                getter: getCapType
                setter: setCapType
            type: string
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        colorRenderingIndex:
            expose: true
            access_type: public_method
            serialized_name: ColorRenderingIndex
            accessor:
                getter: getColorRenderingIndex
                setter: setColorRenderingIndex
            type: integer
        colorTemperature:
            expose: true
            access_type: public_method
            serialized_name: ColorTemperature
            accessor:
                getter: getColorTemperature
                setter: setColorTemperature
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        displayDepth:
            expose: true
            access_type: public_method
            serialized_name: DisplayDepth
            accessor:
                getter: getDisplayDepth
                setter: setDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        energyEfficiencyRating:
            expose: true
            access_type: public_method
            serialized_name: EnergyEfficiencyRating
            accessor:
                getter: getEnergyEfficiencyRating
                setter: setEnergyEfficiencyRating
            type: string
        incandescentEquivalentWattage:
            expose: true
            access_type: public_method
            serialized_name: IncandescentEquivalentWattage
            accessor:
                getter: getIncandescentEquivalentWattage
                setter: setIncandescentEquivalentWattage
            type: integer
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        lampStartupTime:
            expose: true
            access_type: public_method
            serialized_name: LampStartupTime
            accessor:
                getter: getLampStartupTime
                setter: setLampStartupTime
            type: string
        lampWarmupTime:
            expose: true
            access_type: public_method
            serialized_name: LampWarmupTime
            accessor:
                getter: getLampWarmupTime
                setter: setLampWarmupTime
            type: string
        lightOutputLuminance:
            expose: true
            access_type: public_method
            serialized_name: LightOutputLuminance
            accessor:
                getter: getLightOutputLuminance
                setter: setLightOutputLuminance
            type: App\Library\Amazon\Classes\LuminanceDimensionType
        lumenMaintenanceFactor:
            expose: true
            access_type: public_method
            serialized_name: LumenMaintenanceFactor
            accessor:
                getter: getLumenMaintenanceFactor
                setter: setLumenMaintenanceFactor
            type: float
        luminousIntensity:
            expose: true
            access_type: public_method
            serialized_name: LuminousIntensity
            accessor:
                getter: getLuminousIntensity
                setter: setLuminousIntensity
            type: App\Library\Amazon\Classes\LuminiousIntensityDimensionType
        mercuryContent:
            expose: true
            access_type: public_method
            serialized_name: MercuryContent
            accessor:
                getter: getMercuryContent
                setter: setMercuryContent
            type: App\Library\Amazon\Classes\WeightDimensionType
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
